/*
 * Copyright 2015 Luca Beltrame <lbeltrame@kde.org>
 *
 * This file is part of Danbooru Client.
 *
 * Danbooru Client is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Danbooru Client is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Danbooru Client. If not, see <http://www.gnu.org/licenses/>.
 */

#include "test_konachan.h"

namespace Danbooru {

KonachanServiceTest::KonachanServiceTest():
    m_service(0)
{
    m_service = new KonachanDanbooruService(boardUrl);
    m_service->setMaxPosts(1);
    connect(m_service, &DanbooruServiceBase::postDownloaded, this, &KonachanServiceTest::showPostData);
}

KonachanServiceTest::~KonachanServiceTest() {
    delete m_service;
}

void KonachanServiceTest::testPostService() {
    m_service->getPostList();
}

void KonachanServiceTest::showPostData(DanbooruPost* post) {
    qDebug() << "Post File URL" << post->fileUrl().toString();
    qDebug() << "Post ID" << post->id();
    qDebug() << "Post tags" << post->tags();
    qDebug() << "Post rating" << post->rating();
    post->pixmap().save("tmp.png");
}

} // namespace Danbooru